﻿Type=StaticCode
Version=2
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Public NavControl As NavigationController
	Private Page_salon_list As Page
	Dim reqManager_IQB_db As DBRequestManager
	Dim reqManager_IQB_iqb_db As DBRequestManager
	Private search_text As TextField
	Public salon_list_view As TableView

End Sub

Public Sub Show
	If Page_salon_list.IsInitialized = False Then
		reqManager_IQB_db.Initialize(Me, "http://67.205.112.152:17178")
	    reqManager_IQB_iqb_db.Initialize(Me, "http://67.205.112.152:17179")	 
		Page_salon_list.Initialize("Page_salon_list")
		Page_salon_list.RootPanel.LoadLayout("layout_salon_list")
		salon_list_view.Initialize("salon_list_view", False)
        Page_salon_list.RootPanel.AddView(salon_list_view, 0, 0, 100%x, 100%y)
	    salon_list_view.RowHeight = 70
	   	Page_salon_list.HideBackButton = True '<-- don't want to allow the user to return 
		NavControl.NavigationBarVisible = False
		NavControl.ToolBarVisible = False
		search_text.BringToFront
	End If
	Main.NavControl.ShowPage(Page_salon_list)
	
	
	FetchSalonsList
End Sub
Sub FetchSalonsList
	'ProgressDialogShow("Loading")
    Dim cmd1 As DBCommand
	cmd1.Initialize
	cmd1.Name = "select_salonlist"
	cmd1.Parameters = Array As Object("Y")
    reqManager_IQB_db.ExecuteQuery(cmd1, 0, "all_salons")

End Sub
Sub ExecuteRemoteQuery(Query As String, JobName As String, FullAddress As String, SalonName_s As String)
	Dim job As HttpJob
	job.Initialize(JobName, Me)
    job.Password = FullAddress
	job.Username = SalonName_s
	job.download("http://67.205.112.152/~iqueue/SalonAppIcons/" & Query) 
End Sub
Sub JobDone(Job As HttpJob)
	If Job.Success = False Then
		Log("Error: " & Job.ErrorMessage)
	Else
		If Job.JobName = "DBRequest" Then
			Dim result As DBResult = reqManager_IQB_db.HandleJob(Job)
'			reqManager.PrintTable(result)
          If result.Tag = "all_salons" Then 'query tag
             For Each records() As Object In result.Rows
          	 ' Dim name As String = records(2) 'or records(result.Columns.Get("name"))
			 
				ExecuteRemoteQuery(records(result.Columns.Get("SalonAppIcon")),"all_salons_icons", records(result.Columns.Get("Address")) & CRLF & "   "  & records(result.Columns.Get("City")) & records(result.Columns.Get("PostCode")), records(result.Columns.Get("SalonName")))
			
      	     Next
		  
    	   End If
		   
		    If result.Tag = "search_salons" Then 'query tag
             For Each records() As Object In result.Rows
          	 ' Dim name As String = records(2) 'or records(result.Columns.Get("name"))
			 
				ExecuteRemoteQuery(records(result.Columns.Get("SalonAppIcon")),"all_salons_icons", records(result.Columns.Get("Address")) & CRLF & "   "  & records(result.Columns.Get("City")) & ", " & records(result.Columns.Get("PostCode")), records(result.Columns.Get("SalonName")))
			
      	     Next
			 
			 If result.Rows.Size = 0 Then 
			  ' ProgressDialogHide
			   '	  ToastMessageShow("No match found", True)
			   Else
			  ' ProgressDialogHide
			 
			 End If
		  
    	  End If
		End If
		 If Job.JobName = "all_salons_icons" Then 'query tag
			 	'ProgressDialogHide
           
'
		         salon_list_view.AddSingleLine(Job.Username)  
			
			     Dim tc As TableCell = salon_list_view.AddTwoLines(Job.Password, "second") 'the second line will be soon added
				 tc.Bitmap = Job.GetBitmap
				
				  tc.ShowSelection = False
	         	  salon_list_view.Color = Colors.Transparent
                  salon_list_view.ReloadAll	
				 
          End If
	End If
	Job.Release
		
End Sub


Private Sub Page_salon_list_Resize(Width As Int, Height As Int)
   salon_list_view.SetLayoutAnimated(500, 0.6, 0, 0, 100%x, 100%y )

End Sub
Sub salon_list_view_SelectedChanged (SectionIndex As Int, Cell As TableCell)
   Page_salon_list.Title = Cell.Text.ToString
  ' Dim test As String =    salon_list_view.GetItems(SectionIndex)
 
End Sub



